﻿/*!
 * Twinkle Fields 1.2.0
 */

/* Form */
.tw-form {
    width: 100%;
    max-width: 400px;
    color: var(--tw-color-3);
    margin: 0 auto;
}



/* Field Group Styling */
.tw-field-group {
    position: relative;
    margin-bottom: 16px;
}

.tw-field-group label {
    font-size: 14px;
    font-weight: 500 !important;
    color: #000;
    opacity: 1;
    pointer-events: none;
    margin-bottom: 2px;
    z-index: 1;
}

.tw-field-group .badge {
    position: absolute;
    z-index: 1;
    left: 0;
    margin: 0;
}

/* Field Group: Check Styling */
.tw-field-group.tw-check {
    font-size: 2rem;
    font-weight: bold;
    line-height: 1.1;
    display: flex;
    gap: 12px;
    flex-direction: row-reverse;
    justify-content: start;
    align-items: center;
    cursor: pointer;
    padding: 8px 0;
}

.tw-field-group.tw-check label {
    margin: 0;
    font-size: 16px;
    cursor: pointer;
}

/* Field Control Styling */

input[type=email], 
input[type=password], 
input[type=search], 
input[type=tel], 
input[type=text], 
input[type=url], 
textarea {
    color: var(--tw-color-3); 
    border: 1px solid var(--tw-color-7);
    border-radius: 8px;
    -webkit-appearance: none;
}
input.tw-field-control,
input[type=email].tw-field-control, 
input[type=number].tw-field-control, 
input[type=password].tw-field-control, 
input[type=reset].tw-field-control, 
input[type=search].tw-field-control, 
input[type=tel].tw-field-control, 
input[type=text].tw-field-control, 
input[type=url].tw-field-control, 
select.tw-field-control, 
textarea.tw-field-control {
    display: block;
    width: 100%;
    height: auto;
    padding: 8px 16px;
    min-height: 28px;
    font-size: 16px;
    color: var(--tw-color-3);
    background-color: var(--tw-color-0);
    border: 1px solid var(--tw-color-7);
    border-radius: 8px;
    font-weight: 400;
    line-height: 1.5;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
input.tw-field-control:focus,
input[type=email].tw-field-control:focus, 
input[type=number].tw-field-control:focus, 
input[type=password].tw-field-control:focus, 
input[type=reset].tw-field-control:focus, 
input[type=search].tw-field-control:focus, 
input[type=tel].tw-field-control:focus, 
input[type=text].tw-field-control:focus, 
input[type=url].tw-field-control:focus, 
select.tw-field-control:focus, 
textarea.tw-field-control:focus {
    color: var(--tw-color-3);
    background-color: var(--tw-color-0);
    border: 1px solid var(--tw-color-7);
    outline: 0;
    box-shadow: var(--tw-shadow-1);
}

/* Floating Group Styling */
.tw-field-floating-group {
    position: relative;
}
.tw-field-floating-group label {
    font-size: 16px;
    font-weight: 500 !important;
    color: var(--tw-color-4);
    opacity: 1;
    top: 16px;
    left: 16px;
    pointer-events: none;
    position: absolute;
    transition: 240ms;
    margin-bottom: 0;
    z-index: 1;
}
.tw-field-floating-group.focused label {
    opacity: 1;
    color: var(--tw-color-4);
    top: 4px;
    left: 16px;
    font-size: 12px;
}

.tw-field-floating-diff label {
    opacity: 0;
}

.tw-field-floating-diff.focused label {
    opacity: 1;
}
.tw-field-floating-group input.tw-field-control,
.tw-field-floating-group input[type=email].tw-field-control, 
.tw-field-floating-group input[type=number].tw-field-control, 
.tw-field-floating-group input[type=password].tw-field-control, 
.tw-field-floating-group input[type=reset].tw-field-control, 
.tw-field-floating-group input[type=search].tw-field-control, 
.tw-field-floating-group input[type=tel].tw-field-control, 
.tw-field-floating-group input[type=text].tw-field-control, 
.tw-field-floating-group input[type=url].tw-field-control, 
.tw-field-floating-group select.tw-field-control, 
.tw-field-floating-group textarea.tw-field-control {
    min-height: 56px;
    padding: 20px 16px 4px;
    text-indent: 0;
}

/* Float Checkradio Styling */

.tw-field-float-checkradio {
    background-color: var(--tw-color-0);
    border: 1px solid #DFE3E7;
    border-radius: .267rem;
    padding: 8px 19px;
    transition: 0.3s;
    min-height: 55px;
}
.tw-field-float-checkradio.focused {
    padding-top: 21px;
}

/* Checkbox and Radio Styling */
input[type=checkbox].tw-field-control, 
input[type=radio].tw-field-control {
    box-sizing: border-box;
    padding: 0;
    background: var(--tw-color-0) !important;
    background-color: var(--tw-color-0) !important;
    width: 24px !important;
    height: 24px !important;
    border: 1px solid var(--tw-color-7) !important;
    accent-color: var(--tw-status-color-green);
    border-radius: 8px !important;
}

.tw-check input[type="checkbox"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: transparent;
    margin: 0;
    font: inherit;
    color: var(--tw-color-0);
    width: 32px !important;
    height: 32px !important;
    border: 1px solid var(--tw-color-7) !important;
    border-radius: 8px;
    transform: translateY(-1px);
    accent-color: var(--tw-status-color-green);
    display: grid;
    place-content: center;
    padding: 0 !important;
    min-height: 24px;
    transition: 60ms transform ease-in-out;
}

input[type=checkbox].tw-field-control:focus {
    background: transparent;
    box-shadow: none !important;
}
.tw-check input[type="checkbox"]:focus {
    outline: max(1px, 1px) solid var(--tw-color-7);
    outline-offset: max(4px, 1px);
}
.tw-check input[type="checkbox"]:checked:focus {
    outline: max(1px, 1px) solid var(--tw-status-color-green-light);
    outline-offset: max(4px, 1px);
}
.tw-check input[type="checkbox"]:checked {
    background-color: var(--tw-status-color-green) !important;
    transition: 60ms transform ease-in-out;
    border: 1px solid var(--tw-status-color-green) !important;
}
.tw-check input[type="checkbox"]::before {
    content: "";
    width: 16px;
    height: 16px;
    transform: scale(0);
    transition: 60ms transform ease-in-out;
    box-shadow: inset 20px 20px var(--tw-color-0);
    transform-origin: bottom left;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}
.tw-check input[type="checkbox"]:checked::before {
    transform: scale(1);
}

/* Container Styling */
.tw-field-area {
    background-color: #fff;
    box-shadow: 0 4px 8px rgb(0 0 0 / 16%);
    padding: 40px;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tw-field-area .field-inner {
    width: 100%;
}